Yandex Cloud
Документация
ПрезентацияСвязаться с намиНачать бесплатно
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»
Yandex Managed Service for PostgreSQL
KZ
  • Начало работы
  • Управление доступом
  • Инспекции и рекомендации
  • Правила тарификации
  • Справочник Terraform
    • Аутентификация в API
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Delete
        • Start
        • Stop
        • Move
        • Backup
        • Restore
        • RescheduleMaintenance
        • StartFailover
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListBackups
        • ListHosts
        • AddHosts
        • DeleteHosts
        • UpdateHosts
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Метрики Monitoring
  • Аудитные логи Audit Trails
  • Публичные материалы
  • История изменений
  • Обучающие курсы

В этой статье:

  • gRPC request
  • ListClusterLogsRequest
  • ListClusterLogsResponse
  • LogRecord
  1. Справочник API
  2. gRPC (англ.)
  3. Cluster
  4. ListLogs

Managed Service for PostgreSQL API, gRPC: ClusterService.ListLogs

Статья создана
Yandex Cloud
Обновлена 23 июля 2026 г.
Открыть в Markdown
  • gRPC request
  • ListClusterLogsRequest
  • ListClusterLogsResponse
  • LogRecord

Retrieves logs for the specified PostgreSQL cluster.

gRPC requestgRPC request

rpc ListLogs (ListClusterLogsRequest) returns (ListClusterLogsResponse)

ListClusterLogsRequestListClusterLogsRequest

{
  "cluster_id": "string",
  "column_filter": [
    "string"
  ],
  "service_type": "ServiceType",
  "from_time": "google.protobuf.Timestamp",
  "to_time": "google.protobuf.Timestamp",
  "page_size": "int64",
  "page_token": "string",
  "always_next_page_token": "bool",
  "filter": "string",
  "order_by": "string"
}

Field

Description

cluster_id

string

Required field. ID of the PostgreSQL cluster to request logs for.
To get the PostgreSQL cluster ID use a ClusterService.List request.

The maximum string length in characters is 50.

column_filter[]

string

Columns from the logs table to request.
If no columns are specified, entire log records are returned.

service_type

enum ServiceType

Type of the service to request logs about.

  • POSTGRESQL: Logs of PostgreSQL activity.
  • POOLER: Logs of connection pooler activity.
  • REPACK: Logs of Managed Repack service activity.

from_time

google.protobuf.Timestamp

Start timestamp for the logs request, in RFC3339 text format.

to_time

google.protobuf.Timestamp

End timestamp for the logs request, in RFC3339 text format.

page_size

int64

The maximum number of results per page to return. If the number of available
results is larger than page_size, the service returns a ListClusterLogsResponse.next_page_token
that can be used to get the next page of results in subsequent list requests.

The maximum value is 1000.

page_token

string

Page token. To get the next page of results, set page_token to the
ListClusterLogsResponse.next_page_token returned by the previous list request.

The maximum string length in characters is 100.

always_next_page_token

bool

Always return next_page_token, even if current page is empty.

filter

string

A filter expression that filters resources listed in the response.
The expression must specify:

  1. The field name. Currently filtering can be applied to the [LogRecord.logs.message.hostname],
    [LogRecord.logs.message.error_severity] (for POSTGRESQL service), [LogRecord.logs.message.level] (for POOLER service) fields.
  2. A conditional operator. Can be either = or != for single values, IN or NOT IN for lists of values.
  3. The value. Must be 1-63 characters long and match the regular expression ^[a-z0-9.-]{1,61}$.
    Examples of a filter:
    message.hostname='node1.db.cloud.yandex.net'
    message.error_severity IN ("ERROR", "FATAL", "PANIC") AND message.hostname = "node1.db.cloud.yandex.net"

The maximum string length in characters is 1000.

order_by

string

Order by specification as a JSON array of {field, order} objects.
Supported fields: TIMESTAMP. Supported orders: ASC, DESC.
Example: [{"field": "TIMESTAMP", "order": "DESC"}]

ListClusterLogsResponseListClusterLogsResponse

{
  "logs": [
    {
      "timestamp": "google.protobuf.Timestamp",
      "message": "map<string, string>"
    }
  ],
  "next_page_token": "string"
}

Field

Description

logs[]

LogRecord

Requested log records.

next_page_token

string

This token allows you to get the next page of results for list requests. If the number of results
is larger than ListClusterLogsRequest.page_size, use the next_page_token as the value
for the ListClusterLogsRequest.page_token query parameter in the next list request.
Each subsequent list request will have its own next_page_token to continue paging through the results.
This value is interchangeable with next_record_token from StreamLogs method.

LogRecordLogRecord

Field

Description

timestamp

google.protobuf.Timestamp

Log record timestamp in RFC3339 text format.

message

object (map<string, string>)

Contents of the log record.

Была ли статья полезна?

Предыдущая
StartFailover
Следующая
StreamLogs
Создавайте контент и получайте гранты!Готовы написать своё руководство? Участвуйте в контент-программе и получайте гранты на работу с облачными сервисами!
Подробнее о программе
Проект Яндекса
© 2026 ТОО «Облачные Сервисы Казахстан»